# Uses of Class
javax.sound.midi.MidiEvent

Packages that use MidiEvent
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.

- ## Uses of MidiEvent in javax.sound.midi

  Methods in javax.sound.midi that return MidiEvent
  Modifier and Type
  Method
  Description
  `MidiEvent`
  Track.`get(int index)`
  Obtains the event at the specified index.
  Methods in javax.sound.midi with parameters of type MidiEvent
  Modifier and Type
  Method
  Description
  `boolean`
  Track.`add(MidiEvent event)`
  Adds a new event to the track.
  `boolean`
  Track.`remove(MidiEvent event)`
  Removes the specified event from the track.